Rich

Сделай свою работу в Solidworks эффективнее

4 367 сообщений в этой теме
Pinned posts

Тема создана для обмена, создания и поиска различных прикладных программ, макросов, аддонов к программе Solidworks. 

(обсуждение других вопросов, не по тематике топика, прошу вести в соответствующих темах или создавать свои. С ув. streamdown)

 

 

Приветствую всех.

Для чего сделана эта тема я думаю уже многим объяснять не надо. Обновляю шапку (спасибо Plumber, а так же Kelny)
 
 

 
  • Конвертация и печать PDF - PDF_Batch
  • Простановка знака одинаковых отверстий - SameACircle
  • Установка страницы для печати (горизонтальная, вертикальная) - Pagesetup
  • Сжатие файлов SW - Defrag
  • Заполнение свойств файла - propMgr
  • Форматирование внутренней спецификации SW (не Excel) - EditCpecV2
  • База материала и штриховок - GOST_Материалы_18.04.05.rar
  • Пружина (модель с подбором в Excel) - Пружина
  • Печать на разные принтеры разных форматов - PrintSWDrawing
  • Изменение свойств файла (буржуйская) - PropertyEditorSpec
  • Сохранение чертежей в формате tiff - Auto_Tiff
  • Блоки со значками шероховатости с точкой привязки в углу чертежа - Znak_v_uglu_cherteja
  • Программа для простановки неуказанной шероховатости - НШ_SW
  • Пакетная запись чертежей в PDF из выбранной папки - SWpdfProjcts
  • Заполнение массы в конфигурациях, удаление какого-либо свойства сразу во всех конфигурациях детали - Get Set Mass Property
  • Макрос для чтение максимального размера по оси X, Y и Z. И последующей записи в свойство файла - GetMaxBoxSize
  • Плагин сортировки для SWR спецификации - Sort_2.2
  • Макрос служит для изменения шрифта в документе на новый - SetFontsTNR
  • Макрос служит для перезагрузки форматки основной надписи на активном листе - RefreshTemplate
  • Solidworks совершая некоторые дейтвия может заблокироваться, программа позволит разблокировать Solidworks и продолжить работу - UnlockSolidworks
  • Делает вырез и гибку на плоскости - Flexible v2.0.0.0
  • Редактор свойств в комплекте с генератором форматок - Prop 3.2
  • Добавление и редактирование ТТ - Tehni4eskie_trebovania_Beta_2.4
  • Заполнение основной надписи - Оснвная надпись Beta v.2.4 SW2007
  • Многострочное заполнение свойств файла - Change_property_V2.0
  • Макрос для генерации форматок - Master_2.1
  • Макрос для открытия выделенного компонента или подсборки из сборки, по одному клику по кнопке - OpenPart
  • Макрос для открытия чертежей с похожими именами отличными от названий открытых документов деталей и сборок - OpenDrawing
  • Макрос для обновления всех конфигураций, в модели детали или сборки - RefreshConfigurations
  • Сохранение в формате PDF - SaveAsPDF
  • Добавление новой конфигурации - AddConfig
  • Макрос переименовывает и добавляет конфигурации - RenameAddConfig_1_1
  • Позволяет автоматоматом получать dxf из всех конфигураций модели - Techfun
  • Добавление записей в размер (2отв.,3фаски и т.д) - RecordDimM_5.0
  • Данная программа предназначена для заполнения свойств пользователя и конфигураций - SWrama 4.3.1
  • RebuildProperties
  • Программа для создания иллюстрированных каталогов деталей в MS Word - SWtoWordExport
  • Прога для массового изменения свойств файлов Sw - SWproperMassEffect
  • Материалы и штриховки для Solidworks - SW_Hatch
  • Макрос изменения шрифтов - SetFontsTNR
  • Печать чертежей - PrintSWDrawing2
  • Макрос для заполнения свойства "Формат" - AddCustomFormat
  • Авто создание dxf (похоже дублирует предыдущий макрос на эту тему) DFX
  • Макрос для изменение масштаба листа - Масштаб
  • Таблица контроля сварных швов - Скачать в этом посте
  • Программа поиска файлов по указанным путям и просмотра найденных файлов - ArhivSearch3(eDrawings2009)
  • Программа поиска файлов по указанным путям и просмотра найденных файлов - ArhivSearch3(eDrawings2007)
  • Как записать сортамент материала в Базу материалов Solidworks - Смотреть тут
  • Пакет макросов [/font] SWPlus от Leon Тема тут
  • Макрос для вставки условных обозначений отверстий HoleSymbol
  • Генератор обозначения сортамента ГеОС
  • Как добавить кнопку макроса на запуск EXE ТУТ
3 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


UnPinned posts

Пардон. Пилить то надо не SaveAsPDF, а RecordDimM.swp. Но там такие дебри, что боюсь придется призывать @Leon'а.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
9 часов назад, MUXALblCH сказал:

Не совсем понятно. В диспетчере задач у вас сколько процентов свободной оперативной памяти при этом?

Ниже скрины типичного состояния компа во время работы и его ТТХ

 

5 часов назад, Kelny сказал:

Может действительно вы посчитали что реальной памяти (ОЗУ) выше крыши и отключили файл подкачки (виртуальная память)

Я никогда не занимался ни подключением ни отключением файла подкачки и к своему стыду не разбираюсь в этом вообще. Помню в предыдущих версиях винды этот файл подкачки отображался то-ли в ДЗ, то-ли в МР. Сейчас не пойму - куда смотреть? 

МР-ДЗ.JPG

ТТХ.JPG

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

ID: 4124   Опубликовано: (изменено)

51 минуту назад, R2D2_ сказал:

боюсь придется призывать @Leon'а.

Хоть кто-то боится ))

Вот здесь поправленные RecordDimM и SaveAsPDF для 2017 солида. Первый создает размеры без точек. Второй удаляет точки для старых размеров.

Изменено пользователем Leon
2 пользователям понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

RecordDimM лучше вот этот взять.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
29 минут назад, Leon сказал:

здесь поправленные RecordDimM и SaveAsPDF для 2017 солида.

Я прошу прощения, но каких-либо изменений в SaveAsPDF относительно предыдущей версии от 04.02.2018 я не увидел.

В работе проверить пока не могу - это просто результат сравнения файлов :blush2:

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Leon , а нельзя ли уточнить, какая версия PDFCreator нужна для SaveAsPDF того, что Вы сбросили? Ибо предыдущий SaveAsPDF у меня работал только с 1.7.3. А этот работать отказывается(( Или это все руки?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
11 минуту назад, Plumber сказал:

Я прошу прощения, но каких-либо изменений в SaveAsPDF относительно предыдущей версии от 04.02.2018 я не увидел.

Так это она и есть, это ссылка на архив из шапки. Точки же она убирает.

9 минут назад, R2D2_ сказал:

а нельзя ли уточнить, какая версия PDFCreator нужна для SaveAsPDF того, что Вы сбросили?

Я пользуюсь версией 1.2.1. Вот этой.

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
4 часа назад, Leon сказал:

Вот здесь поправленные RecordDimM и SaveAsPDF для 2017 солида. Первый создает размеры без точек. Второй удаляет точки для старых размеров.

@Leon, а как быть пользователям 2016?

И это поможет даже с учетом того, что Вашими макросами не пользуюсь? 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, Alex1986 сказал:

И это поможет даже с учетом того, что Вашими макросами не пользуюсь?

А в 16 точки вылезают? Я просто не работал в 16, не знаю.

 

1 час назад, Alex1986 сказал:

И это поможет даже с учетом того, что Вашими макросами не пользуюсь?

Если вы макросами не пользовались, то скорее всего у вас и точек не будет. Но разве что вы руками stack прописывали. Тогда лучше руками и исправляйте, поскольку макросы гарантировано исправляют только то, что они сами натворили.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Alex1986 , на сколько я понимаю, SaveAsPDF в связке с PDFCreator вполне будет работать особняком.

@Leon , спасибо, что сбросили макросы целым пакетом. Как я понял, это, на сегодняшний день последний релиз, т.с.? На данный момент использую SWPlus.NET beta 5.7. Подскажите, есть ли смысл переходить на последнюю версию макросов (имееется ввиду все, что кроме SaveAsPDF). И если да, тот как корректно это сделать? Просто удалить все кнопки предыдущих макросов и сделать новые? Начало установки .NET версии - запуск файла MyProperies.exe. В Вашей версии этого exe не нашел. Или просто все делать по мануалу, как и при установке с нуля?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
15 часов назад, R2D2_ сказал:

Осталось дело за малым: раздобыть и поправить исходник SaveAsPDF.swp))

 

Так swp и есть исходник.. Меню Инструменты" - "Макрос" - "Редактировать" и указать файл..

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
6 часов назад, Leon сказал:

А в 16 точки вылезают?

955436b197be.jpg

6 часов назад, Leon сказал:

разве что вы руками stack прописывали. Тогда лучше руками и исправляйте,

только так?

 

Цитата

<stack size=0.2  divider=no> <stack size=5  divider=no>4 отв.

 

6 часов назад, R2D2_ сказал:

на сколько я понимаю, SaveAsPDF в связке с PDFCreator вполне будет работать особняком.

Я Вас не понял

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@ILL , та уже понял. После того, как посмотрел, что SaveAsPDF по сути только вызывает виртуальный принтер, а собака зарыта в RecordDim.

2 часа назад, Alex1986 сказал:

Я Вас не понял

Я имел ввиду, что макрос для сохранения чертежа в PDF у Вас вполне будет работать и без остальных. Хотя, надо пробовать...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
8 часов назад, R2D2_ сказал:

SaveAsPDF в связке с PDFCreator вполне будет работать особняком.

Будет.

 

8 часов назад, R2D2_ сказал:

Подскажите, есть ли смысл переходить на последнюю версию макросов

Думаю, что нет. Нового функционала там нет.

 

2 часа назад, Alex1986 сказал:

только так?

Здесь ключевое слово это "divider=no".

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
16 минут назад, R2D2_ сказал:

а собака зарыта в RecordDim.

 

Я им не пользуюсь, но точки тоже замечал в pdf

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

ID: 4137   Опубликовано: (изменено)

10 минут назад, ILL сказал:

Я им не пользуюсь, но точки тоже замечал в pdf

9 часов назад, Leon сказал:

руками stack прописывали. Тогда лучше руками и исправляйте

Цитата

<stack size=0.2  divider=no> <stack size=5  divider=no>4 отв.

Изменено пользователем Kelny

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
15 часов назад, Leon сказал:

Так это она и есть, это ссылка на архив из шапки. Точки же она убирает.

Я пользуюсь версией 1.2.1. Вот этой.

Привет, @Leon!

https://www.twirpx.com/file/519484/grant/

Это тоже версия 1.2.1, но одна экзешка для установки

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Только что, michmich73 сказал:

Это тоже версия 1.2.1, но одна экзешка для установки

Я предпочитаю качать софт с сайта разработчика.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

ID: 4140   Опубликовано: (изменено)

@Leon, обрати внимание, что твоя ссылка ведет на архив с исходниками программы... или я чего-то не понимаю...

Изменено пользователем Timi

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
51 минуту назад, Leon сказал:

Я предпочитаю качать софт с сайта разработчика.

Практика показывает, что после того как скачали с оф.сайта лучше хранить софт у себя (ну или на своих ресурсах, где другие макросы/программы привязанные к софту), потому как сегодня сайт разработчика и софт на нём есть, а завтра софта или сайта может уже не оказаться...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
22 часа назад, Alex1986 сказал:

а откуда Вы этот стек знаете?

Какие еще есть?

Может опубликуете весь список?

К сожалению, ниоткуда, методом научного тыка... :(

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
22 часа назад, Alex1986 сказал:

а откуда Вы этот стек знаете?

Какие еще есть?

Может опубликуете весь список?

Справка животворящая:

http://help.solidworks.com/2010/russian/solidworks/sldworks/legacyhelp/sldworks/detailing/hidd_richtool_stack.htm

http://help.solidworks.com/2010/russian/solidworks/sldworks/legacyhelp/sldworks/detailing/hidd_note_edit_text.htm

Ну и смекалка.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Kelny это только по заметке ориентироваться?

не очень информативно...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
23 минуты назад, Alex1986 сказал:

это только по заметке ориентироваться?

не очень информативно...

Достаточно, что бы получить больше чем ничего: http://cccp3d.ru/topic/10358-скрытые-возможности-sw/?do=findComment&comment=827867

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
12 часа назад, Timi сказал:

обрати внимание, что твоя ссылка ведет на архив с исходниками программы

Да, спасибо, закрутился и не проверил.

12 часа назад, Kelny сказал:

Практика показывает, что после того как скачали с оф.сайта лучше хранить софт у себя

Kelny, согласен, так и делаю. Просто не хотелось сторонний софт постить. А давать ссылку на левые ресурсы тоже как-то неправильно. кто знает, чего они туда поднапихать могли.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Подскажите, пожалуйста, есть ли быстрый способ или макрос для подсчёта выбранного количества деталей в сборке. у меня N-количество винтов в сборке, допустим М3, разной длины. я вручную их выделил в дереве и .. тыкая пальцем в монитор считаю ))

может есть какая-то команда, которую не обязательно завершать, но она покажет выделенное количество деталей.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Благодарю Вас! Интересно.

А еще интересно от чего ж разработчики не реализовали показ выделенных компонентов в статусной строке. Сколько места зря пустует. В справке солида нашёл пример, подкорректировал - но там выделяет всё в дереве и выдает общее количество.

Алгоритм знаю, но абсолютно не хватает познаний в программировании. Запускаем макрос, он проверяет сборка ли это, появляется окошко, не перехватывающее фокус на себя, чтобы можно было выделять детали в дереве (в области построения), выделил деталь (или несколько) - в ячейку накопления плюсануло, ожидание выбора, если в окошке нажать крестик - цикл завершается.

 

или другой вариант: выделил всё нужное и вызвал макрос он посчитал. Незнаю функции присваивания при выборе детали. Может подскажете куда копать (возможно докопаюсь через год )) ) .SelectID наверно надо использовать, функцию Get, но что ею получать, и окошко как сделать, чтобы оно фокус на себя не забирало.

Показать содержимое  

Option Explicit
Dim swApp As Object
Dim Part As Object
Dim swModel As SldWorks.ModelDoc2
Dim swModelDocExt As SldWorks.ModelDocExtension
Dim swSelMgr As SldWorks.SelectionMgr
Dim errors As Long
Dim warnings As Long
Dim selCount As Integer

Sub main()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    Set swSelMgr = swModel.SelectionManager
    ' Вызов подпрограммы подсчёта
    QuantitySelectedParts
    
End Sub

Sub QuantitySelectedParts()

    selCount = 0
    
    swModelDocExt.SelectAll
    
    
    selCount = swSelMgr.GetSelectedObjectCount2(-1)
    
    
    Select Case swModel.GetType
    Case swDocASSEMBLY
        MsgBox "Количество выбранных деталей = " & selCount
    Case Else
        MsgBox "Это не сборка"
    End Select
    
End Sub

Hide  

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
41 минуту назад, tompsongun сказал:

или другой вариант: выделил всё нужное и вызвал макрос он посчитал.

Скрытый текст

Option Explicit
 Dim swApp As Object
 Dim Part As Object
 Dim swModel As SldWorks.ModelDoc2
 Dim swModelDocExt As SldWorks.ModelDocExtension
 Dim swSelMgr As SldWorks.SelectionMgr
 Dim errors As Long
 Dim warnings As Long
 Dim selCount As Integer
 Dim swComp As SldWorks.Component2
Sub main()
     Set swApp = Application.SldWorks
     Set swModel = swApp.ActiveDoc
     Set swModelDocExt = swModel.Extension
     Set swSelMgr = swModel.SelectionManager
     ' Вызов подпрограммы подсчёта
    QuantitySelectedParts
End Sub
Sub QuantitySelectedParts()
    selCount = 0
'     swModelDocExt.SelectAll
    Set swComp = swSelMgr.GetSelectedObject6(1, -1)
    selCount = swSelMgr.GetSelectedObjectCount2(-1)
    Select Case swModel.GetType
    Case swDocASSEMBLY
        MsgBox "Количество выбранных деталей = " & selCount
    Case Else
         MsgBox "Это не сборка"
     End Select
 End Sub

 

Но, всё-таки, проще вставить простенькую спецификацию в сборку, там всё нагляднее. И столбцы со свойствами деталей можно добавлять и редактировать свойства в таблице, чтобы каждый раз в документ детали не переходить.

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

))) пытааался

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
6 часов назад, tompsongun сказал:

Подскажите, пожалуйста, есть ли быстрый способ или макрос для подсчёта выбранного количества деталей в сборке. у меня N-количество винтов в сборке, допустим М3, разной длины. я вручную их выделил в дереве и .. тыкая пальцем в монитор считаю ))

может есть какая-то команда, которую не обязательно завершать, но она покажет выделенное количество деталей.

попробуйте, делал для себя под sw2017

у меня выведен на горячую кнопку, в больших сборках работает медленно

ComponentInfo.zip

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

когда "приклеиваю" к размеру отклонение формы, то получаю вот это:

s7OY9Q.jpg

 

а нужно вот это:

XmFWd2.jpg

 

кто нить знает как бороть такой недуг солида?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

ID: 4154   Опубликовано: (изменено)

Благодарю Вас, @alek77 !! Клёво! 

Она реализует функцию "выделить идентичные компоненты" + выдачей их количества. Хорошо!

Внутренности ещё не смотрел, но, уверен, для себя найду полезное на будущее.

:5a33a3678bcb9_3DSmiles(25):

 

 

------------------------------------------------

 

@fox1001, может применить "группировать"?  правда хорошо совместить линии придётся, чтоб без ступенек.

Изменено пользователем tompsongun

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
12 минуты назад, tompsongun сказал:

может применить "группировать"?

пока ничего другого не нашел. но это ведь костылик. очень похоже на глюк солида. 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 часа назад, Kir95 сказал:
  Показать содержимое


Option Explicit
 Dim swApp As Object
 Dim Part As Object
 Dim swModel As SldWorks.ModelDoc2
 Dim swModelDocExt As SldWorks.ModelDocExtension
 Dim swSelMgr As SldWorks.SelectionMgr
 Dim errors As Long
 Dim warnings As Long
 Dim selCount As Integer
 Dim swComp As SldWorks.Component2
Sub main()
     Set swApp = Application.SldWorks
     Set swModel = swApp.ActiveDoc
     Set swModelDocExt = swModel.Extension
     Set swSelMgr = swModel.SelectionManager
     ' Вызов подпрограммы подсчёта
    QuantitySelectedParts
End Sub
Sub QuantitySelectedParts()
    selCount = 0
'     swModelDocExt.SelectAll
    Set swComp = swSelMgr.GetSelectedObject6(1, -1)
    selCount = swSelMgr.GetSelectedObjectCount2(-1)
    Select Case swModel.GetType
    Case swDocASSEMBLY
        MsgBox "Количество выбранных деталей = " & selCount
    Case Else
         MsgBox "Это не сборка"
     End Select
 End Sub

 

Но, всё-таки, проще вставить простенькую спецификацию в сборку, там всё нагляднее. И столбцы со свойствами деталей можно добавлять и редактировать свойства в таблице, чтобы каждый раз в документ детали не переходить.

Можно немножко по другому: В сборке Вставка -> Примечание -> Позиция В свойствах позиции выпадающий список Текст позиции: Количество. Далее ткнуть на нужную деталь, только смотрите, что бы не стояло скрытие примечаний, иначе ничего не увидите :)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@fox1001 , зачем в двух темах спросил?? Вроде уже давно не "Новичок"..

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
59 минут назад, ILL сказал:

"Новичок"..

За новичка, тем более с кавычками в текущих условиях и ответить можно... Аура у него странная в последние дни.

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

По поводу подсчёта количества выделенных деталей 

17 часов назад, alek77 сказал:

попробуйте, делал для себя под sw2017

у меня выведен на горячую кнопку, в больших сборках работает медленно

ComponentInfo.zip

Описание: Показывает сводную информацию (такие как Обозначение, Наименование, Имя Конфигурациии, Массу, Путь до файла) количество (в сборке, не решенных, погашенных, конвертов, общее) идентичных компонентов после выбора детали в дереве построения или графической области. При этом автоматически выделяются все идентичные компоненты. После закрытия окошка макроса выделение сохраняется. Так сказать это усовершенствованная одноименная команда солида.

 

---------------------------------

в дополнение к нему мне мне подсобил  Artem Taturevych с сайта https://forum.solidworks.com/message/837766 , где мне пришлось зарегится под очередным псевдонимом ))

дополнил его макрос иконкой. Публикую с его личного разрешения.

CountSelectedComponents.swp.zip

Описание: 

Показывает в статусной строке количество выделенных элементов в дереве построения или графической области. Сначала выделяем компоненты, затем нажимаем кнопку макроса - в статусной строке появится количество. Как только курсор отводишь от иконки макроса запись в статусной строке исчезает, выделение сохраняется.

 

---------------------------------

буду пользоваться и тем и другим )) 

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
13 часа назад, ILL сказал:

зачем в двух темах спросил??

поторопился. не обратил внимания в какой теме сижу. ну а после кнопки "отправить ответ" уже поздно пить баржом. запостил и запостил. машу каслом не испортишь.

13 часа назад, Kelny сказал:

Аура у него странная в последние дни.

ага. я тоже заметил

Скрытый текст

PnWtZF.jpg

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 минуты назад, fox1001 сказал:

ну а после кнопки "отправить ответ" уже поздно пить баржом. запостил и запостил

 

Можно нажать изменить и стереть текст.. Пока 15 минут не прошло..

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Реклама

  • Сообщения

    • valeo-ua
      Вот с этого места подробнее :-) По твердости: не указывайте ничего лишнего на чертеже. Приложите к чертежу распечатку странички каталога и все!
    • Kelny
      В незаконности получения продукта. В конфликте с Windows или его обновлениями. В несовместимостью с антивирусом. И т.п.
    • Борман
      25 рисунков японского художника непростой жизни крокодилов, живущих среди людей. https://trollno.com/25-risunkov-yaponskogo-hudozhnika-neprostoj-zhizni-krokodilov-zhivushhih-sredi-lyudej/
    • VOleg
      Вы вырываете фразу без связи с беседой. Я веду речь о заимствованных (чужих) моделях, которые были сделаны без связи с чертежом. Обычно в таких случаях в моделях не проводятся изменения, да и просто ошибки построения. Использовать такие модели нельзя. А т.к. чертеж (заимствованного изделия) содержит все изменения, приходится рисовать СВОЮ модель именно по нему. Впрочем, и модели, связанные с чертежом, в основном построены так, что и в этом случае приходится строить свою модель. Опять же заимствованные (чужие) модели. Надо признаться, что и свои модели 10 летней давности я перерисовываю... Молодой был, дурной.
    • leoekb
      Приветствую уважаемых знатоков КОМПАСа, прошу не пинать сильно за банальный наверное вопрос, как проставить размер  с полями допуска такого типа как проставляется на чертеже, верхний индекс и нижний одновременно. Вроде весь функционал редактора ТТ прошерстил, из спецзнаков могу либо поставить только верхний индекс либо только нижний иначе они сдвигаются сильно относительно друг друга (индексы), ничего лучшего пока как на картинке не придумал сделать.
    • SVB
    • Sergei
        Да нет никакого технолога. Есть мастер, но он только распределяет работы и гоняет пьяниц, как технолог он ноль. Роль технолога выполняет слесарь-инструментальщик. Наладчику фрезерных станков с ЧПУ выдаётся только чертёж и 3D модель, дальше он сам себе технолог-программист-наладчик. Лезть в каталог производителя заготовок он не будет. Кстати, есть одна талантливая симпатичная девушка, которая работает и конструктором (частично) и наладчиком фрезерных станков с ЧПУ и электроэрозионистом и технологом-программистом. Бывают такие уникумы. :-)))))
    • davyd
      Как только начинаю рисовать в эскизе, Solidworks 2018 вылетает!:( В чём может быть проблема? Спасибо!  
    • Koriolan
      Здравствуйте, ув. форумчане! Подскажите бедному будущему конструктору, можно ли в Компасе, в созданном массиве (который сделан например по точкам, или по сетке), менять в экземплярах исполнения компонентов? Я попробовал проверить это в сборке 3D, но получилось что-то сверхъестественное из области фантастики: графика компонента  в выбранном экземпляре массива поменялась, а вот обозначение сего компонента - НЕТ(!). Я проверил, создав спецификацию на сборку - все верно, обозначение типоисполнения компонента не появилось, только обозначение копии оригинала, хотя графика во всех экземплярах массива отличается. Что не так? ps: где-то у меня в памяти отложилось, в справке Компаса было сказано, что при создании массива, в его экземплярах, создаются только копии элементов оригинала массива (компонентов, тел, кривых и т.д.), но нигде не было сказано в справке, можно ли все-таки заменять эти элементы в экземплярах массива.
    • snakegreen
      А можно скриншот? Не могу найти даже через поиск.